Bug 467767 - Administrator-level user who attempts to add users to a pool gets "500 internal server error"
Administrator-level user who attempts to add users to a pool gets "500 intern...
Status: CLOSED WONTFIX
Product: Virtualization Tools
Classification: Community
Component: ovirt-server-suite (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Scott Seago
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-20 15:32 EDT by Hugh Brock
Modified: 2011-06-21 13:18 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-21 13:18:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch URL attached (71 bytes, text/plain)
2008-12-12 12:14 EST, Scott Seago
no flags Details

  None (edit)
Description Hugh Brock 2008-10-20 15:32:36 EDT
Description of problem:
Attempting to add permissions as a non-privileged user results in 500 error

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Stack trace:

Processing PermissionController#new (for 192.168.50.1 at 2008-10-20 19:28:14) [G
ET]
  Session ID: fab84156edd4e1a992cd5efdfd4dd1eb
  Parameters: {"pool_id"=>"5", "action"=>"new", "controller"=>"permission"}
Redirected to http://management.priv.ovirt.org/ovirt/hardware/show/5
Rendering template within layouts/popup


ActionController::DoubleRenderError (Can only render or redirect once per action
):
    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_controller/base.rb:8
42:in `render_with_no_layout'
    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_controller/layout.rb
:251:in `render_without_benchmark'
    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_controller/benchmarking.rb:51:in `render_without_active_ldap_benchmark'
    /usr/lib/ruby/gems/1.8/gems/activesupport-2.1.1/lib/active_support/core_ext/benchmark.rb:8:in `realtime'
    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_controller/benchmarking.rb:51:in `render_without_active_ldap_benchmark'
    /usr/lib/ruby/gems/1.8/gems/activeldap-1.0.1/lib/active_ldap/action_controller/ldap_benchmarking.rb:15:in `render'
    /app/controllers/permission_controller.rb:51:in `new'
    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_controller/base.rb:1166:in `send'
    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_controller/base.rb:1166:in `perform_action_without_filters'
    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_controller/filters.rb:579:in `call_filters'
    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_controller/filters.rb:572:in `perform_action_without_benchmark'
    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_controller/benchmarking.rb:68:in `perform_action_without_rescue'
    /usr/lib/ruby/1.8/benchmark.rb:293:in `measure'
    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_controller/benchmarking.rb:68:in `perform_action_without_rescue'
    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_controller/rescue.rb:201:in `perform_action_without_caching'
    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_controller/caching/sql_cache.rb:13:in `perform_action'
    /usr/lib/ruby/gems/1.8/gems/activerecord-2.1.1/lib/active_record/connection_adapters/abstract/query_cache.rb:33:in `cache'
    /usr/lib/ruby/gems/1.8/gems/activerecord-2.1.1/lib/active_record/query_cache.rb:8:in `cache'
    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_controller/caching/sql_cache.rb:12:in `perform_action'
    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_controller/base.rb:529:in `send'
    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_controller/base.rb:529:in `process_without_filters'
    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_controller/filters.rb:568:in `process_without_session_management_support'
    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_controller/session_management.rb:130:in `process'
    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_controller/base.rb:389:in `process'
Comment 1 Scott Seago 2008-12-12 12:14:57 EST
Created attachment 326744 [details]
patch URL attached

Note You need to log in before you can comment on or make changes to this bug.